Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fCurrency

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbNumber
              jet.connect.DbDecimal
                  jet.formula.fCurrency

All Implemented Interfaces:
  jet.util.DbValueable, jet.util.QuickSortableNode

    public class fCurrency

extends DbDecimal

The internal representative of the currency data type of the JReport Formula. The `value` attribute is a BigDecimal object.

Field Summary

Fields inherited from class jet.connect.DbDecimal
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Fields inherited from interface jet.util.DbValueable
`EQUAL, GREATER, LESS`

Constructor Summary
`fCurrency()`
`fCurrency(java.math.BigDecimal d)`
`fCurrency(DbColDesc desc)`

Method Summary
`java.lang.Object` | `clone()` Creates a clone of this `DbDecimal` object.

Methods inherited from class jet.connect.DbDecimal
`byteValue, doubleValue, equals, floatValue, get, intValue, longValue, set, set, set, setValue, setValue, shortValue, toString, toStringValue`

Methods inherited from class jet.connect.DbNumber
`compare, compareTo, equals, set`

Methods inherited from class jet.connect.DbValue
`compareTo, compareTo, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### fCurrency

    public fCurrency()

### fCurrency

    public fCurrency(java.math.BigDecimal d)

Parameters:
  `d` - Specifies the initial value.

### fCurrency

    public fCurrency(DbColDesc desc)

Method Detail

### clone

    public java.lang.Object clone()

  Description copied from class: `DbDecimal`
  Creates a clone of this `DbDecimal` object.

  Specified by:
    `clone` in interface `jet.util.DbValueable`
  Overrides:
    `clone` in class `DbDecimal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD